cfa: XCfa_Config Struct Reference

| cfa Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCfa_Config Struct Reference
Cfa_v7_1

This typedef contains configuration information for the CFA core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the core. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the core's registers. More...
u32 | SlaveAxisVideoFormat
| Slave Axis Video Format. More...
u32 | MasterAxisVideoFormat
| Master Axis Video Format. More...
u8 | BayerPhase
| Bayer Phase. More...
u32 | SlaveAxiClkFreqHz
| Slave Clock Frequency. More...
u32 | ActiveRows
| Active rows. More...
u32 | ActiveColumns
| Active Columns. More...
u32 | MaxColumns
| Maximum Columns. More...
u16 | HasIntcIf
| Has Interrupt Control. More...
u16 | HasDebug
| Has Debug GUI specified. More...
u32 | HorFilt
| Optional Horizontal Filter. More...
u32 | FringeTol
| Fringe Tolerance. More...

## Detailed Description

This typedef contains configuration information for the CFA core.

Each CFA core should have a configuration structure associated.

## Field Documentation

u32 XCfa_Config::ActiveColumns

Active Columns.

u32 XCfa_Config::ActiveRows

Active rows.

u32 XCfa_Config::BaseAddress

BaseAddress is the physical base address of the core's registers.

Referenced by XCfa_CfgInitialize(), XCfa_DisableDbgBypass(), XCfa_DisableDbgTestPattern(), XCfa_EnableDbgByPass(), XCfa_EnableDbgTestPattern(), XCfa_GetActiveSize(), XCfa_GetBayerPhase(), XCfa_GetDbgFrameCount(), XCfa_GetDbgLineCount(), XCfa_GetDbgPixelCount(), XCfa_GetVersion(), XCfa_IsDbgByPassEnabled(), XCfa_IsDbgTestPatternEnabled(), XCfa_SelfTest(), XCfa_SetActiveSize(), XCfa_SetBayerPhase(), XCfa_Setup(), and XCfaSelfTestExample().

u8 XCfa_Config::BayerPhase

Bayer Phase.

u16 XCfa_Config::DeviceId

DeviceId is the unique ID of the core.

u32 XCfa_Config::FringeTol

Fringe Tolerance.

u16 XCfa_Config::HasDebug

Has Debug GUI specified.

Referenced by XCfa_DisableDbgBypass(), XCfa_DisableDbgTestPattern(), XCfa_EnableDbgByPass(), XCfa_EnableDbgTestPattern(), XCfa_GetDbgFrameCount(), XCfa_GetDbgLineCount(), XCfa_GetDbgPixelCount(), XCfa_IsDbgByPassEnabled(), and XCfa_IsDbgTestPatternEnabled().

u16 XCfa_Config::HasIntcIf

Has Interrupt Control.

Referenced by XCfa_IntrHandler().

u32 XCfa_Config::HorFilt

Optional Horizontal Filter.

u32 XCfa_Config::MasterAxisVideoFormat

Master Axis Video Format.

u32 XCfa_Config::MaxColumns

Maximum Columns.

u32 XCfa_Config::SlaveAxiClkFreqHz

Slave Clock Frequency.

u32 XCfa_Config::SlaveAxisVideoFormat

Slave Axis Video Format.